- Qt 6.11
- Qt Qml Core
- QML Types
- LocationPermission
- Qt 6.11.1 Reference Documentation

# LocationPermission QML Type

Access to the user's location. More...

Import Statement: | `import QtCore`
Since: | Qt 6.6

- List of all members, including inherited members

## Properties

- status : Qt::PermissionStatus

## Methods

- void request()

## Detailed Description

This type represents a QLocationPermission, and can be used to check the status of and request access to the user's location.

See QLocationPermission for documentation of the individual properties and detailed usage requirements.

See also QML Application Permissions, Application Permissions, and QLocationPermission.

## Property Documentation

### status : Qt::PermissionStatus

This property holds the current status of the permission.

See also QCoreApplication::checkPermission.

## Method Documentation

### void request()

Requests the permission with its current properties.

See also QCoreApplication::requestPermission().